curl -X POST "https://api.scanova.io/multi-users/accept-invitation/" \
-H "Content-Type: application/json" \
-d '{
"hash": "a1b2c3d4e5f6...",
"password1": "correct-horse-battery-staple",
"password2": "correct-horse-battery-staple"
}'
"Invitation accepted"
共享用户与角色
接受共享用户邀请
POST /multi-users/accept-invitation/
POST
/
multi-users
/
accept-invitation
/
curl -X POST "https://api.scanova.io/multi-users/accept-invitation/" \
-H "Content-Type: application/json" \
-d '{
"hash": "a1b2c3d4e5f6...",
"password1": "correct-horse-battery-staple",
"password2": "correct-horse-battery-staple"
}'
"Invitation accepted"
在 Management API 主机(
api.scanova.io)上接受共享用户邀请并设置团队成员的密码。
POST https://api.scanova.io/multi-users/accept-invitation/
与本页上的所有其他端点不同,此端点不需要 Management API 密钥——它是
AllowAny。它旨在从受邀团队成员自己的浏览器中调用,通过其邀请邮件中的链接调用,而不是从发起邀请的账户的集成中调用。string
必填
来自邮件链接的邀请哈希,最多 250 个字符。
string
必填
团队成员的新密码。
string
必填
密码确认——必须与
password1 一致。curl -X POST "https://api.scanova.io/multi-users/accept-invitation/" \
-H "Content-Type: application/json" \
-d '{
"hash": "a1b2c3d4e5f6...",
"password1": "correct-horse-battery-staple",
"password2": "correct-horse-battery-staple"
}'
"Invitation accepted"
哈希有效性
哈希仅在存在、尚未被使用,且在账户配置的邀请链接有效期窗口内发送时才有效——无论是最初的邀请还是任何重新发送都会刷新计算该窗口的时间戳。如果哈希未通过上述任一检查,或两个密码不匹配或不符合密码策略,则返回400,并附带 "Verification link is invalid or expired."。
相关内容
- 邀请共享用户——邮件链接中哈希的来源。
- 重新发送共享用户的邀请邮件——如果原始邀请已过期,获取新的哈希。
- Management API 概览——此端点特意不使用的身份验证方案。
此页面对您有帮助吗?